Subject: new version of the CPE Rtr draft is ready for review

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Thu, 30 Oct 2008 13:28:43 -0400

http://www.ietf.org/internet-drafts/draft-wbeebee-ipv6-cpe-router-03.txt
 
Thanks.
 
Hemant & Wes

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Thu, 30 Oct 2008 13:45:24 -0400

Brief summary of what we closed with reviewers in this -03 version. 
 
1. Closed the new text in the mcast section with Remi - see new section
in the -03 draft.
 
2. Closed with Francois-Xavier for null route with following text added
to the IPv6 Data Forwarding section:
 
   A route SHOULD be added to the routing table (to prevent routing
   loops) that is lower priority than any route except the default
   route.  The choice to drop the packet or send an ICMPv6 Destination
   Unreachable to the source address of the packet is implementation-
   dependent.  The installation of the null route MAY be automatic.

   Also closed on bridged mcast with following text:
 
   If the CPE Router hardware includes a network bridge between the WAN
   interface and the LAN interface(s), then the CPE Router MUST support
   MLDv2 snooping as per [RFC4541].
 
3. Closed with Shin Miyakawa with the following text:
 
      Added following text to the end of the "Unnumbered Model" section:
      "The unnumbered model is incompatible with the strong host model
      on the CPE router.  The unnumbered model may be inappropriate for
      use with certain broadband deployments where a device that uses
      the strong host model can operate as a CPE Router."

4. Fred Baker requested us to add an IPv4 section - we complied by
adding a short IPv4 section that describes current practice but does not
mandate anything.
 
5. Brian Carpenter was right.  We added a 6to4 section to the draft - he
had asked for such support at the beginning,
 
For other closures, please see the Change-log for this version.
 
Hemant & Wes

________________________________

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Hemant Singh (shemant)
Sent: Thursday, October 30, 2008 1:29 PM
To: IPv6 Operations
Subject: new version of the CPE Rtr draft is ready for review

Thanks.
 
Hemant & Wes

---

From: "Templin, Fred L" <[email-masked]>
Date: Thu, 30 Oct 2008 11:25:57 -0700

Section 8.6 is missing discussion on IPv6 transition mechanisms that may
be
needed to support IPv6 devices in IPv4-dominant SOHO networks - in
particular,
RFC5214 and probably also 'draft-templin-autoconf-dhcp'.
 
Fred
[email-masked]

	From: Hemant Singh (shemant) [mailto:[email-masked]] 
	Sent: Thursday, October 30, 2008 10:45 AM
	To: Hemant Singh (shemant); IPv6 Operations
	Subject: RE: new version of the CPE Rtr draft is ready for
review

	Brief summary of what we closed with reviewers in this -03
version. 
	 
	1. Closed the new text in the mcast section with Remi - see new
section in the -03 draft.
	 
	2. Closed with Francois-Xavier for null route with following
text added to the IPv6 Data Forwarding section:
	 
	   A route SHOULD be added to the routing table (to prevent
routing
	   loops) that is lower priority than any route except the
default
	   route.  The choice to drop the packet or send an ICMPv6
Destination
	   Unreachable to the source address of the packet is
implementation-
	   dependent.  The installation of the null route MAY be
automatic.

	   If the CPE Router hardware includes a network bridge between
the WAN
	   interface and the LAN interface(s), then the CPE Router MUST
support
	   MLDv2 snooping as per [RFC4541].

	      Added following text to the end of the "Unnumbered Model"
section:
	      "The unnumbered model is incompatible with the strong host
model
	      on the CPE router.  The unnumbered model may be
inappropriate for
	      use with certain broadband deployments where a device that
uses
	      the strong host model can operate as a CPE Router."

	4. Fred Baker requested us to add an IPv4 section - we complied
by adding a short IPv4 section that describes current practice but does
not mandate anything.
	 
	5. Brian Carpenter was right.  We added a 6to4 section to the
draft - he had asked for such support at the beginning,

	Hemant & Wes

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of Hemant Singh (shemant)
	Sent: Thursday, October 30, 2008 1:29 PM
	To: IPv6 Operations
	Subject: new version of the CPE Rtr draft is ready for review

	 
	Thanks.
	 
	Hemant & Wes

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Thu, 30 Oct 2008 14:53:46 -0400

Fred,
 
Thanks for the input.  We'll add such data to the next version of our
draft.
 
Hemant

From: Templin, Fred L [mailto:[email-masked]] 
Sent: Thursday, October 30, 2008 2:26 PM
To: Hemant Singh (shemant); IPv6 Operations
Subject: RE: new version of the CPE Rtr draft is ready for review

Fred

	 

	

	 

	 
	 
	Hemant & Wes

	
	 
	Thanks.
	 
	Hemant & Wes

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 31 Oct 2008 15:22:46 +1300

Hi Hemant,

On 2008-10-31 06:45, Hemant Singh (shemant) wrote:
...
> 5. Brian Carpenter was right.

In general, or just this time ? ;-)

> We added a 6to4 section to the draft - he

Thanks. Maybe you should refer to RFC3068 as well as RFC3056?

   Brian

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Fri, 31 Oct 2008 11:17:34 -0400

>In general, or just this time ? ;-)

I meant this time, but in general also makes sense to me :-).

>> We added a 6to4 section to the draft - he had asked for such support 
>> at the beginning,

>Thanks. Maybe you should refer to RFC3068 as well as RFC3056?

Yes, that makes sense to include a reference to also RFC3068. We intend
to publish the IP addresses (and section # etc.) of the anycast IPv4
(192.88.99.1) and IPv6 address (2002:c058:6301::) in our draft and then
reference RFC3068.

Thanks.

Hemant